org.apache.lucene.analysis.uima

## Class UIMATypeAwareAnnotationsTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.uima.UIMATypeAwareAnnotationsTokenizerFactory

    public class UIMATypeAwareAnnotationsTokenizerFactory
    extends TokenizerFactory

`TokenizerFactory` for `UIMATypeAwareAnnotationsTokenizer`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`UIMATypeAwareAnnotationsTokenizerFactory()`

### Method Summary

Methods
`Tokenizer` `create(Reader input)`
`void` `init(Map<String,String> args)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

`availableTokenizers, forName, lookupClass, reloadTokenizers`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UIMATypeAwareAnnotationsTokenizerFactory

    public UIMATypeAwareAnnotationsTokenizerFactory()

### Method Detail

#### init

    public void init(Map<String,String> args)

Overrides:
  `init` in class `AbstractAnalysisFactory`

#### create

    public Tokenizer create(Reader input)

Specified by:
  `create` in class `TokenizerFactory`